Subject: bug#870: Repeatable instance of bug#870

From: "Juanma Barranquero" <[email-masked]>
Date: Mon, 5 Jan 2009 15:28:25 +0100

On Mon, Jan 5, 2009 at 14:50, Jason Rumney <[email-masked]> wrote:

> So
> maybe I am wrong about exactly what happens in that part of the decode
> functions - maybe the CR does get written to the buffer, but the following
> LF is somehow swallowed.

The bug does not happen on encoding (for writing), because it is
already visible after re-decoding (I mean, after desktop.el applies
buffer-file-coding-system, or after the
revert-buffer-with-coding-system call in your example). Once the
buffer has the lone ^M, it's no wonder it ends up in the file after
writing.

I think you're right that the problem is related to decoding a CRLF
when the pair crosses a buffer boundary.

    Juanma